#ifndef _PACKET_MOTERADIO_H_
#define _PACKET_MOTERADIO_H_

#define MOTERADIO_META_HEADER_LEN 8
#define MOTERADIO_HEADER_LEN 1
#define MOTERADIO_RADIO_CRC_LEN 2
#define MOTERADIO_META_FLAGS_LEN 1
#define MOTERADIO_SERIAL_CRC_LEN 2

#define MOTERADIO_TRAILER_LEN (moteradio_meta_flags ? MOTERADIO_META_FLAGS_LEN + MOTERADIO_SERIAL_CRC_LEN : 0)

#define MOTERADIO_BMAC_THRESHOLD 2

#define MOTERADIO_BROADCAST 0xFFFF

#define MOTERADIO_FLAG_POSSIBLE_COLLISION 0x01
#define MOTERADIO_FLAG_RSSI_DATA          0x02
#define MOTERADIO_FLAG_MOTESIDE_CRC_OK    0x04
#define MOTERADIO_FLAG_MOTESIDE_CRC_BAD   0x08
#define MOTERADIO_FLAG_UNDEFINED_10       0x10
#define MOTERADIO_FLAG_UNDEFINED_20       0x20
#define MOTERADIO_FLAG_UNDEFINED_40       0x40
#define MOTERADIO_FLAG_DEBUG              0x80

typedef struct _mote_priv_data {
    gboolean initialized;
    gboolean crc_error_radio;
    gboolean crc_error_serial;
    gboolean collision;
    gboolean debug;
    guint16 meta_flags;
    guint16 computed_crc_radio;
    guint16 computed_crc_serial;
    guint32 rx_timestamp;
} mote_priv_data;

void
dissect_moteradio(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);

/* Global values that other modules including this header
   can access */

extern int proto_moteradio;

#endif
