/* conversations_smac.c
 * conversations_smac   2005 Tyler McHenry
 *
 * $Id: conversations_smac.c 4081 2005-06-20 22:06:32Z smchenry $
 *
 * Smacereal - Network traffic analyzer
 * By Gerald Combs <gerald@smacereal.com>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#ifdef HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif

#include <gtk/gtk.h>
#include <string.h>
#include "epan/packet.h"
#include "tap_menu.h"
#include <epan/tap.h>
#include "../register.h"
#include "conversations_table.h"
#include <epan/dissectors/packet-smac.h>


static int
smac_conversation_packet(void *pct, packet_info *pinfo, epan_dissect_t *edt _U_, const void *vip)
{
	add_conversation_table_data((conversations_table *)pct, &pinfo->src, &pinfo->dst, 0, 0, 1, pinfo->fd->pkt_len, SAT_NONE, PT_NONE);

	return 1;
}



static void
smac_conversation_init(char *optarg)
{
	char *filter=NULL;

	if(!strncmp(optarg,"conv,smac,",9)){
		filter=optarg+9;
	} else {
		filter=NULL;
	}

	init_conversation_table(TRUE, "S-MAC", "smac", filter, smac_conversation_packet);

}


static void
smac_endpoints_cb(GtkWidget *w _U_, gpointer d _U_)
{
	smac_conversation_init("conv,smac");
}


void
register_tap_listener_smac_conversation(void)
{
	register_tap_listener_cmd_arg("conv,smac", smac_conversation_init);

	register_tap_menu_item("S-MAC", REGISTER_TAP_GROUP_CONVERSATION_LIST,
	    smac_endpoints_cb, NULL, NULL, NULL);

	register_conversation_table(TRUE, "S-MAC", "smac", NULL /*filter*/, smac_conversation_packet);
}
